package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcWljg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcAqyhMapper;
import com.ruoyi.tcZz.domain.TcAqyh;
import com.ruoyi.tcZz.service.ITcAqyhService;

/**
 * 安全隐患 tc_aqyhService业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Service
public class TcAqyhServiceImpl implements ITcAqyhService 
{
    @Autowired
    private TcAqyhMapper tcAqyhMapper;

    /**
     * 查询安全隐患 tc_aqyh
     * 
     * @param id 安全隐患 tc_aqyh主键
     * @return 安全隐患 tc_aqyh
     */
    @Override
    public TcAqyh selectTcAqyhById(Long id)
    {
        return tcAqyhMapper.selectTcAqyhById(id);
    }

    /**
     * 查询安全隐患 tc_aqyh列表
     * 
     * @param tcAqyh 安全隐患 tc_aqyh
     * @return 安全隐患 tc_aqyh
     */
    @Override
    public List<TcAqyh> selectTcAqyhList(TcAqyh tcAqyh)
    {
        return tcAqyhMapper.selectTcAqyhList(tcAqyh);
    }

    /**
     * 新增安全隐患 tc_aqyh
     * 
     * @param tcAqyh 安全隐患 tc_aqyh
     * @return 结果
     */
    @Override
    public int insertTcAqyh(TcAqyh tcAqyh)
    {
        tcAqyh.setCreateTime(DateUtils.getNowDate());
        return tcAqyhMapper.insertTcAqyh(tcAqyh);
    }

    /**
     * 修改安全隐患 tc_aqyh
     * 
     * @param tcAqyh 安全隐患 tc_aqyh
     * @return 结果
     */
    @Override
    public int updateTcAqyh(TcAqyh tcAqyh)
    {
        tcAqyh.setUpdateTime(DateUtils.getNowDate());
        return tcAqyhMapper.updateTcAqyh(tcAqyh);
    }

    /**
     * 批量删除安全隐患 tc_aqyh
     * 
     * @param ids 需要删除的安全隐患 tc_aqyh主键
     * @return 结果
     */
    @Override
    public int deleteTcAqyhByIds(Long[] ids)
    {
        return tcAqyhMapper.deleteTcAqyhByIds(ids);
    }

    /**
     * 删除安全隐患 tc_aqyh信息
     * 
     * @param id 安全隐患 tc_aqyh主键
     * @return 结果
     */
    @Override
    public int deleteTcAqyhById(Long id)
    {
        return tcAqyhMapper.deleteTcAqyhById(id);
    }

    @Override
    public String importUser(List<TcAqyh> tcAqyhList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcAqyhList.isEmpty()) {
            for (TcAqyh tcAqyh : tcAqyhList) {
                tcAqyhMapper.insertTcAqyh(tcAqyh);
            }
            successMsg.append("导入成功");
        }

        return successMsg.toString();
    }


    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcAqyhMapper.updateByisStatus(isStatus,ids);
    }
}
